#include "mainwindow.h"
#include "myapplication.h"

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
{
    centralWidget = new QWidget(this);
    displayLabel = new QLabel(centralWidget);
    displayLabel->setAlignment(Qt::AlignCenter);
    displayLabel->setText("Click Start to begin.");
    startButton = new QPushButton(centralWidget);
    startButton->setText("Start");
    stopButton = new QPushButton(centralWidget);
    stopButton->setText("Stop");
    grid = new QGridLayout(centralWidget);
    grid->addWidget(displayLabel, 0, 0, 1, 2);
    grid->addWidget(startButton, 1, 0);
    grid->addWidget(stopButton, 1, 1);
    setCentralWidget(centralWidget);

    // Connect start and stop buttons
    connect (startButton, SIGNAL(clicked()), MyApp, SLOT(startInterpreter()), Qt::DirectConnection);
    connect (stopButton, SIGNAL(clicked()), MyApp, SLOT(quit()));
}
